import { unref } from "vue";
import { useCookie } from "#app";
const cookieTokenKey = "sanctum.token.cookie";
export const cookieTokenStorage = {
  async get(app) {
    return app.runWithContext(() => {
      const cookie = useCookie(cookieTokenKey, { readonly: true });
      return unref(cookie.value) ?? void 0;
    });
  },
  async set(app, token) {
    await app.runWithContext(() => {
      const cookie = useCookie(cookieTokenKey, { secure: true });
      cookie.value = token;
    });
  }
};
